# synfig::Mutex Class Reference

`#include <mutex.h>`

Inheritance diagram for synfig::Mutex:

List of all members.

## Public Member Functions

| Mutex ()
| ~Mutex ()
void | lock ()
void | unlock ()
bool | try_lock ()
bool | is_locked ()

## Protected Attributes

void * | blackbox

## Friends

class | RecMutex

## Classes

class | Lock

## Constructor & Destructor Documentation

synfig::Mutex::Mutex | ( |  | ) |

synfig::Mutex::~Mutex | ( |  | ) |

## Member Function Documentation

void synfig::Mutex::lock | ( |  | ) |

Referenced by synfig::Mutex::Lock::Lock().

void synfig::Mutex::unlock | ( |  | ) |

Referenced by is_locked(), synfig::RecMutex::unlock_all(), and synfig::Mutex::Lock::~Lock().

bool synfig::Mutex::try_lock | ( |  | ) |

Referenced by is_locked().

bool Mutex::is_locked | ( |  | ) |

References try_lock(), and unlock().

Referenced by synfig::RecMutex::unlock_all().

## Friends And Related Function Documentation

friend class RecMutex `[friend]`

## Member Data Documentation

void* synfig::Mutex::blackbox `[protected]`

The documentation for this class was generated from the following files:

- mutex.h
- mutex.cpp